Skip to main content
GET
cURL
This API can be used to search for members on your platform.

Member Statuses

  • active: Member has accepted the invitation and is active on the platform.
  • invited: Member has been invited but has not yet accepted the invitation.
  • inactive: Member has been removed from the platform, or they have requested their Onsi account to be deleted.

Member Identifiers

  • memberId: The Onsi-issued unique identifier for the member.
  • workerId: An external identifier for the member, such as an employee ID, this is typically used to identify the member in your system (this is optional).

Authorizations

x-api-key
string
header
required

Query Parameters

memberIds
string[]

Filter by internal Onsi member IDs

The unique identifier for a Member, prefixed with mem_

statuses
enum<string>[]

Filter by member status

Available options:
active,
invited,
inactive
emails
string[]

Filter by member's email

workerIds
string[]

Filter by your worker IDs

Unique ID provided by API consumer, must be unique across all members (active, invited and inactive)

skip
number
default:0
required
take
number
default:50
required

Response

200 - application/json

200

members
Member · object[]
required
total
number
required
Example:

1

skip
number
required
Example:

0

take
number
required
Example:

50